//
//  SettingsViewController.h
//  particulate
//
//  Created by Logan Cautrell on 2/11/12.
//  Copyright (c) 2012 Dreamfreeze Software. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>

@interface SettingsViewController : UIViewController <UIScrollViewDelegate>

@property (nonatomic, strong) CAEmitterCell *emitterCell;
@property (nonatomic, strong ) CAEmitterLayer *emitterLayer;

@property (strong, nonatomic) IBOutlet UIPageControl *pageControl;
@property (strong, nonatomic) IBOutlet UIScrollView *scrollView;
@property (strong, nonatomic) IBOutlet UIView *page1View;
@property (strong, nonatomic) IBOutlet UIView *page2View;
@property (strong, nonatomic) IBOutlet UIView *page3View;
@property (strong, nonatomic) IBOutlet UISlider *velocitySlider;
@property (strong, nonatomic) IBOutlet UIButton *colorView;

- (IBAction)pageControlValueChanged:(id)sender;
- (IBAction)imageSizeChanged:(id)sender;
- (IBAction)lifeTimeChanged:(UISlider *)sender;
- (IBAction)lifeTimeRangeChanged:(UISlider *)sender;
- (IBAction)velocityChanged:(UISlider *)sender;
- (IBAction)velocityRangeChanged:(UISlider *)sender;
- (IBAction)scaleChanged:(UISlider *)sender;
- (IBAction)scaleRangeChanged:(UISlider *)sender;
- (IBAction)scaleSpeedChanged:(UISlider *)sender;
- (IBAction)blueRangeChanged:(UISlider *)sender;
- (IBAction)blueSpeedChanged:(UISlider *)sender;
- (IBAction)redRangeChanged:(UISlider *)sender;
- (IBAction)redSpeedChanged:(UISlider *)sender;
- (IBAction)greenRangeChanged:(UISlider *)sender;
- (IBAction)greenSpeedChanged:(UISlider *)sender;
- (IBAction)colorButtonTapped:(UIButton *)sender;
- (IBAction)alphaRangeChanged:(UISlider *)sender;
- (IBAction)alphaSpeedChanged:(UISlider *)sender;

@end
